package org.gvsig.mobile.core.extensions.interfaces;

public interface IExtensionStoreProvider extends IExtension {
	
	/**
	 * 
	 * @param type Add a FileType to the FileType Extension Collection
	 * @return true if correct, false if there was an error
	 */
	public boolean addFileType(IFileType type);
	
	/**
	 * 
	 * @param type Remove a FileType from the FileType Extension Collection
	 * @return true if correct, false if there was an error
	 */
	public boolean removeFileType(IFileType type);

}
