package org.gvsig.mobile.core.extensions.interfaces;
/**
 * This interface provides the methods for manage ToolBars in GvSIG Mobile
 * @author ProS
 *
 */
public interface IgvSIGMobileToolbar {
	/**
	 * Add a tool to the gvSigMobile data cach
	 * @param tool The tool to be added
	 */
	public void addTool(org.gvsig.mobile.core.extensions.interfaces.ITool tool);
	
	/**
	 * Remove a tool to the gvSigMobile data cach
	 * @param tool The tool to be removed
	 */
	public void removeTool(org.gvsig.mobile.core.extensions.interfaces.ITool tool);
}
