package org.gvsig.mobile.extension.editing.functionality;

import org.gvsig.mobile.core.concepts.Functionality;
import org.gvsig.mobile.core.interfaces.IGvSigMouseEvent;
import org.gvsig.mobile.extension.editing.dialog.SnappingSelectorDialog;
import org.osgi.framework.ServiceReference;

/**
 * @author Vicente Caballero Navarro
 */
public class SnappingSelectorFunc extends Functionality {
    
    public SnappingSelectorFunc() {
        super();
    }
    
    public void configure() {
    }
    
    public boolean execution(ServiceReference gvSIGMobileRef) {
        try {
            SnappingSelectorDialog d = new SnappingSelectorDialog(true, this
                    .getBundleContext());
            d.showDialog();
            super.stop();
            return true;
        } catch (Exception e) {
            e.printStackTrace();
            return false;
        }
    }
    
    public void onNewMouseEventListened(IGvSigMouseEvent event) {
    }
}
