package org.gvsig.mobile.gpe;

import org.gvsig.mobile.core.concepts.ExtensionStoreProvider;
import org.gvsig.mobile.core.extensions.interfaces.IFileProviderFunctionality;
import org.osgi.framework.BundleContext;

public class GPEFileExtension extends ExtensionStoreProvider {

	public GPEFileExtension(String ID, BundleContext context) {
		
		super(ID, context);

		// read GPE
		this.addFileType(new GPETypeRead(context, "gml", "GML"));
		this.addFileType(new GPETypeRead(context, "kml", "KML"));
		// write GPE
		// this.addFileType(new GPETypeWrite(context, "gml", "GML"));
		// this.addFileType(new GPETypeWrite(context, "kml", "KML"));
		// this.addFileType(new GPETypeRead(context, "", ""));
		
		GPEFuncRead func = new GPEFuncRead(context);
		func.setInterfaceName(IFileProviderFunctionality.class.getName());
		this.addFunctionality(func);
		
		// GPEFuncWrite funcw = new GPEFuncWrite(context);
		// funcw.setInterfaceName(IFileProviderFunctionality.class.getName());
		// this.addFunctionality(funcw);
	}

}
