package org.gvsig.mobile.ui.awt.statusbar;

import java.awt.Graphics;
import java.awt.Image;

import org.zaval.lw.LwPanel;

public class StatusBarIcon extends LwPanel implements StatusBarComponent {

	private Image img;
	private int wpc = 0;
	
	public StatusBarIcon(Image ima) {
		img = ima;
		setSize(img.getWidth(null), StatusBarManager.STATUSBAR_HEIGHT);
	}
	
	
	public int getWidthPercentage() {
		return wpc;
	}

	public void setWidthPercentage(int w) {
		wpc = w;
	}
	
	public void paint(Graphics g) {
		g.drawImage(img, 0, 0, null);
	}
}
