package org.gvsig.mobile.core.concepts;

import org.gvsig.mobile.core.extensions.interfaces.IToolbar;
import org.osgi.framework.BundleContext;

/**
 * Any toolbar should extend this class. Its behaviour is the same as a
 * DefaultExclusiveTool
 * @author aromeu
 *
 */
public class DefaultToolBar extends DefaultExclusiveTool implements IToolbar {	

	public DefaultToolBar() {
		super();
	}
	public DefaultToolBar(String key, String shortDescription, String ico,
			BundleContext bc) {
		super(ico, key, shortDescription, bc, 0);		
	}
}
