package org.gvsig.mobile.core.concepts;

import org.gvsig.mobile.core.extensions.interfaces.ITool;
import org.osgi.framework.BundleContext;

/**
 * It's a tool that does nothing but broadcasting it's 
 * initialization and finalization state
 * 
 * @author jcarras
 *
 */
public class NoOpTool extends DefaultTool{

	public NoOpTool() {		
		super();
		setToolType(ITool.RUN_INMEDIATELY_TOOL);
	}
	
	public NoOpTool(String icon, String key, String shortDescription, BundleContext bc){
		setIcon(icon);
		setKey(key);
		setShortDescription(shortDescription);
		setToolType(ITool.RUN_INMEDIATELY_TOOL);
		setBundleContext(bc);
	}
}
