package org.gvsig.mobile.extension.editing.functionality;

import java.awt.geom.Point2D;

import org.gvsig.mobile.app.MainFrame;
import org.gvsig.mobile.core.constants.GvSigMouseEventType;
import org.gvsig.mobile.core.interfaces.IGvSigMouseEvent;
import org.gvsig.mobile.extension.editing.dialog.InsertAnnotationDialog;
import org.osgi.framework.BundleContext;
import org.osgi.framework.ServiceReference;
import org.osgi.service.wireadmin.Consumer;

/**
 * @author Vicente Caballero Navarro
 */
public class AddAnnotationFunc extends EditingFunctionality implements InsertablePoint{
    private MainFrame              m;
    private InsertAnnotationDialog d     = null;
    private Point2D                point = null;
    
    public boolean execution(ServiceReference gvRef) {
//        if (gvSigMobileRef == null) {
            super.execution(gvRef);
            try {
                if (m == null) {
                    m = getMainFrameService();
                }
                
                // super.stop();
                return true;
            } catch (Exception e) {
                e.printStackTrace();
                return false;
            }
//        } else {
//            ArrayList properties = d.getProperties();
//        }
//        return true;
    }
    
    public void configure() {
        
    }
    
    public void onNewMouseEventListened(IGvSigMouseEvent event) {
        int type = event.getID();
        
        if (type == GvSigMouseEventType.MOUSE_PRESSED) {
            point = getHandlerAdjustedPoint();
            d = new InsertAnnotationDialog(true, this.getBundleContext(), m, m
                    .getMapControl());
            d.showDialog();
            
        }
        
    }
    
    private MainFrame getMainFrameService() {
        final BundleContext bc = getBundleContext();
        return (MainFrame) bc.getService(bc.getServiceReference(Consumer.class
                .getName()));
    }

	public void addPoint(Point2D point) {
		// TODO Auto-generated method stub
		
	}
}
